/* 
 * gcc -o numlock numlock.c -L/usr/X11R6/lib -lX11 -lXtst
 */

#include <stdio.h>
#include <stdlib.h>
#include <X11/X.h>
#include <X11/Xlib.h>
#include <X11/extensions/XTest.h>


int main(void) {
 Display *display;

 /* open display... */
 /* ----------------*/
 if(!(display = XOpenDisplay(getenv("DISPLAY")))) {
   return fprintf(stderr, "unable to open display\n"), 11;
 }

 XTestFakeKeyEvent(display,77,1,100);
 XTestFakeKeyEvent(display,77,0,100); 

 XFlush(display);
 XCloseDisplay(display);

 return 0;
}

